#!/usr/bin/bash
abs_diir=$(readlink -f "$0")
shellDir=$(dirname $abs_diir)
CURPATH=$shellDir
CURPATH=$CURPATH/UI/Linux
export LD_LIBRARY_PATH=$CURPATH:$CURPATH/lib:$CURPATH/plugins:/usr/lib64:$LD_LIBRARY_PATH

IS_DESKTOP=`cat /etc/os-release | grep Desktop`
cd $CURPATH
if [ -e $CURPATH/plugins ];then
	echo ""
else
	if [ -n "$IS_DESKTOP" ];then
		NAME=`id -un`
		if [[ "$NAME" == "root" || "$NAME" == "secadm" ]];then
			echo "admin start"
		else
			pkexec env DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY LD_LIBRARY_PATH=/opt/nfssec/bin/UI/Linux /opt/nfssec/bin/UI/Linux/nfssecUI > /dev/null 2>&1 &
			exit 0
		fi
	else
		./copyplugins.sh
	fi
fi
./nfssecUI > /dev/null 2>&1 &
